App\Library\Amazon\Classes\ComputerSpeaker:
    xml_root_name: ComputerSpeaker
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        audioOutputMode:
            expose: true
            access_type: public_method
            serialized_name: AudioOutputMode
            accessor:
                getter: getAudioOutputMode
                setter: setAudioOutputMode
            type: App\Library\Amazon\Classes\AudioOutputMode
        communicationInterface:
            expose: true
            access_type: public_method
            serialized_name: CommunicationInterface
            accessor:
                getter: getCommunicationInterface
                setter: setCommunicationInterface
            type: App\Library\Amazon\Classes\CommunicationInterface
        digitalAudioCapacity:
            expose: true
            access_type: public_method
            serialized_name: DigitalAudioCapacity
            accessor:
                getter: getDigitalAudioCapacity
                setter: setDigitalAudioCapacity
            type: App\Library\Amazon\Classes\DigitalAudioCapacity
        frequencyRange:
            expose: true
            access_type: public_method
            serialized_name: FrequencyRange
            accessor:
                getter: getFrequencyRange
                setter: setFrequencyRange
            type: App\Library\Amazon\Classes\FrequencyRange
        inputType:
            expose: true
            access_type: public_method
            serialized_name: InputType
            accessor:
                getter: getInputType
                setter: setInputType
            type: App\Library\Amazon\Classes\InputType
        maximumOperatingDistance:
            expose: true
            access_type: public_method
            serialized_name: MaximumOperatingDistance
            accessor:
                getter: getMaximumOperatingDistance
                setter: setMaximumOperatingDistance
            type: App\Library\Amazon\Classes\MaximumOperatingDistance
        memorySlotsAvailable:
            expose: true
            access_type: public_method
            serialized_name: MemorySlotsAvailable
            accessor:
                getter: getMemorySlotsAvailable
                setter: setMemorySlotsAvailable
            type: App\Library\Amazon\Classes\MemorySlotsAvailable
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        movementDetectionTechnology:
            expose: true
            access_type: public_method
            serialized_name: MovementDetectionTechnology
            accessor:
                getter: getMovementDetectionTechnology
                setter: setMovementDetectionTechnology
            type: boolean
        numberOfSatelliteSpeakers:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSatelliteSpeakers
            accessor:
                getter: getNumberOfSatelliteSpeakers
                setter: setNumberOfSatelliteSpeakers
            type: App\Library\Amazon\Classes\NumberOfSatelliteSpeakers
        outputWattage:
            expose: true
            access_type: public_method
            serialized_name: OutputWattage
            accessor:
                getter: getOutputWattage
                setter: setOutputWattage
            type: App\Library\Amazon\Classes\OutputWattage
        recordingCapacity:
            expose: true
            access_type: public_method
            serialized_name: RecordingCapacity
            accessor:
                getter: getRecordingCapacity
                setter: setRecordingCapacity
            type: App\Library\Amazon\Classes\RecordingCapacity
        remoteIncluded:
            expose: true
            access_type: public_method
            serialized_name: RemoteIncluded
            accessor:
                getter: getRemoteIncluded
                setter: setRemoteIncluded
            type: App\Library\Amazon\Classes\RemoteIncluded
        speakerDiameter:
            expose: true
            access_type: public_method
            serialized_name: SpeakerDiameter
            accessor:
                getter: getSpeakerDiameter
                setter: setSpeakerDiameter
            type: App\Library\Amazon\Classes\SpeakerDiameter
        speakerOutputChannelQuantity:
            expose: true
            access_type: public_method
            serialized_name: SpeakerOutputChannelQuantity
            accessor:
                getter: getSpeakerOutputChannelQuantity
                setter: setSpeakerOutputChannelQuantity
            type: App\Library\Amazon\Classes\SpeakerOutputChannelQuantity
        speakersMaximumOutputPower:
            expose: true
            access_type: public_method
            serialized_name: SpeakersMaximumOutputPower
            accessor:
                getter: getSpeakersMaximumOutputPower
                setter: setSpeakersMaximumOutputPower
            type: App\Library\Amazon\Classes\SpeakersMaximumOutputPower
        speakersNominalOutputPower:
            expose: true
            access_type: public_method
            serialized_name: SpeakersNominalOutputPower
            accessor:
                getter: getSpeakersNominalOutputPower
                setter: setSpeakersNominalOutputPower
            type: App\Library\Amazon\Classes\SpeakersNominalOutputPower
        speakerSurroundSoundChannelConfiguration:
            expose: true
            access_type: public_method
            serialized_name: SpeakerSurroundSoundChannelConfiguration
            accessor:
                getter: getSpeakerSurroundSoundChannelConfiguration
                setter: setSpeakerSurroundSoundChannelConfiguration
            type: App\Library\Amazon\Classes\SpeakerSurroundSoundChannelConfiguration
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
